Subject: Re: [PATCH v4 2/7] t3705: add tests for `git add` in sparse checkouts

From: Derrick Stolee <[email-masked]>
Date: Wed, 14 Apr 2021 12:39:42 -0400

On 4/8/2021 4:41 PM, Matheus Tavares wrote:
> We already have a couple tests for `add` with SKIP_WORKTREE entries in
> t7012, but these only cover the most basic scenarios. As we will be
> changing how `add` deals with sparse paths in the subsequent commits,
> let's move these two tests to their own file and add more test cases
> for different `add` options and situations. This also demonstrates two
> options that don't currently respect SKIP_WORKTREE entries: `--chmod`
> and `--renormalize`.

These are good tests. I will adapt these for my sparse-index
series to ensure 'git add' works correctly in that environment.

Thanks,
-Stolee